import { AioExternalReplacements, AioReplacement } from "../aio/aioInterface";
import { AitColumnRepeat, AitRowData } from "../ait/aitInterface";
/**
 * Recursive function to replace column header information
 * @param replacement Single set of replacment text
 * @param rows Header rows
 * @param columnRepeats Column repeat string
 * @returns Updated rows
 */
export declare const replaceHeaders: (rowHeaderColumns: number, rows: AitRowData[], columnRepeats: AitColumnRepeat[], replacement?: AioReplacement | undefined, externalLists?: AioExternalReplacements[] | undefined) => {
    newHeaderRows: AitRowData[];
    newColumnRepeats: AitColumnRepeat[];
};
