import { AioExternalReplacements, AioReplacement } from "../aio";
import { AitColumnRepeat, AitRowData } from "../ait";
/**
 * Entry function to process headers with replacements
 * @param rows Initial header rows
 * @param replacements Replacement array with new values
 * @param noProcessing Stop
 * @param rowHeaderColumns
 * @returns
 */
export declare const repeatHeaders: (rows: AitRowData[], replacements: AioReplacement[], noProcessing?: boolean | undefined, rowHeaderColumns?: number | undefined, externalLists?: AioExternalReplacements[] | undefined) => {
    rows: AitRowData[];
    columnRepeats: AitColumnRepeat[];
};
